Project

General

Profile

Feature #10425

Feature #7544: Have a multiplatform Installer

Feature #8550: Make Tails Installer work on Windows

Feature #8558: Study feasibility of porting Tails Installer to Windows

Clarify needed branches in Tails Installer release documentation and update doc to rename

Added by u about 4 years ago. Updated about 4 years ago.

Status:
Rejected
Priority:
Normal
Assignee:
-
Category:
Installation
Target version:
-
Start date:
10/26/2015
Due date:
% Done:

0%

Feature Branch:
Type of work:
Contributors documentation
Blueprint:
Starter:
Affected tool:
Installer

Description

running
gbp import-orig \
--upstream-vcs-tag="tails-installer_$NEW_UPSTREAM_VERSION" \
../tarballs/liveusb-creator_$NEW_UPSTREAM_VERSION+dfsg.orig.tar.gz

gives

Repository does not have branch 'upstream/3.x+dfsg' for upstream sources. If there is none see
file:///usr/share/doc/git-buildpackage/manual-html/gbp.import.html#GBP.IMPORT.CONVERT
on howto create it otherwise use --upstream-branch to specify it.
so I had to check out upstream/3.x+dfsg

our docs might want to have a step where we check out upstream/3.x+dfsg and merge origin


Related issues

Related to Tails - Feature #8555: Adapt packaging process and release doc for Tails Installer DFSG-free tarball Resolved 01/06/2015

History

#1 Updated by intrigeri about 4 years ago

  • Category set to Installation
  • Parent task set to #8549

#2 Updated by intrigeri about 4 years ago

  • Related to Feature #8555: Adapt packaging process and release doc for Tails Installer DFSG-free tarball added

#3 Updated by intrigeri about 4 years ago

  • Subject changed from Update Tails installer documentation to Clarify needed branches in Tails Installer release documentation

#4 Updated by intrigeri about 4 years ago

u wrote:

our docs might want to have a step where we check out upstream/3.x+dfsg

If we do this then we have to list all needed branches, not just this one. I think the overall description of our branches setup should be enough to give a good idea of what branches must be available locally, and I say don't bother too much, as the only person who realistically could be hit by "I don't have the new branches" problem has already been hit and fixed his setup.

and merge origin

What do you mean?

#5 Updated by u about 4 years ago

those were some notes from anonym's tests of the documentation. I simply copy pasted them. I don't think we have to merge origin.

#6 Updated by u about 4 years ago

  • Subject changed from Clarify needed branches in Tails Installer release documentation to Clarify needed branches in Tails Installer release documentation and update doc to rename

#7 Updated by intrigeri about 4 years ago

  • Status changed from Confirmed to Rejected
  • Assignee deleted (u)

OK, let's close this then.

Also available in: Atom PDF